Worker(3)

NAME
Worker -

SYNOPSIS

Inherits Communicable, and ReactiveThread.

  Public Member Functions
Worker ()
void start ()
void packResult ()
void unpackData ()
void packTaskDone ()
void notifySendingResult ()
void notifySendingTaskDone ()
void setSource (int __rank)

  Private Attributes
WORKER_ID id
SERVICE_ID serv_id
Service * serv
int src
bool toto

Detailed Description

Definition at line 46 of file worker.h.

Author

Generated automatically by Doxygen for ParadisEO-PEOMovingObjects from the source code.